× CodeTyphon Linux OS Development, discussions and problems

Question [ERROR]: Sorry, Typhon64 Small IDE x86_64-linux-gtk2 NOT Build CT7

  • Americo Bravo Astroña
  • Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
More
6 days 16 hours ago #15274 by Americo Bravo Astroña
Hi, I'm trying to install CT on Ubuntu 20 64bits xfce ram 16gb core i7 7gen ssd disk, first "0) Install System Libraries", then "8) Remove and Build ALL" but I get the following message.

[INFO]: Clean Tools Directory


??????????????????????????????????????????????????????????
[ERROR]: Sorry, Typhon64 Small IDE x86_64-linux-gtk2 NOT Build
??????????????????????????????????????????????????????????

==============================================================
Build Typhon64 BIG IDE x86_64-linux-gtk2 for Linux
==============================================================


[ERROR]: Sorry, Typhon64 from Small-IDE NOT Build
please remove and build Typhon again...


I already tried several combinations but I still have error, thank you for your kind attention.

Please Log in or Create an account to join the conversation.

  • Sternas Stefanos
  • Sternas Stefanos's Avatar
  • Offline
  • Moderator
  • Moderator
  • Ex Pilot, M.Sc, Ph.D
More
6 days 12 hours ago - 6 days 11 hours ago #15275 by Sternas Stefanos
Thanks Sir
Please
-Your CT Version ?
-Your OS ? (Xubuntu 20xx or Ubuntu 20xx with xfce)
-Did you have any other FPC installation ?
-Can you start CTCenter ?

PilotLogic Architect and Core Programmer
Last edit: 6 days 11 hours ago by Sternas Stefanos.

Please Log in or Create an account to join the conversation.

  • Americo Bravo Astroña
  • Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
More
5 days 22 hours ago - 5 days 22 hours ago #15277 by Americo Bravo Astroña
Replied by Americo Bravo Astroña on topic [ERROR]: Sorry, Typhon64 Small IDE x86_64-linux-gtk2 NOT Build CT7
Hi, thahks for reply.

CT 7.20

cat /etc/issue
Linux Mint 20 Ulyana \n \l

I don't have another fpc.
how to start ct center?
Last edit: 5 days 22 hours ago by Americo Bravo Astroña.

Please Log in or Create an account to join the conversation.

More
5 days 9 hours ago #15280 by Vlad Wilhelm
I have similar problems with the old version (6.3).
in ubuntu 20.04 there is no support for gtk 2.0. try switching widget framework to qt5 - it will work. but before running the installer, install the libqt5pas-dev package.
if (as in my case) you need gtk widgets, install the libgtk2.0-dev package. in this case, the codetyphon program will not start, but the studio itself (typhon64) will work.

Please Log in or Create an account to join the conversation.

  • Sternas Stefanos
  • Sternas Stefanos's Avatar
  • Offline
  • Moderator
  • Moderator
  • Ex Pilot, M.Sc, Ph.D
More
4 days 33 minutes ago - 4 days 18 minutes ago #15301 by Sternas Stefanos

Vlad Wilhelm wrote: I have similar problems with the old version (6.3).
in ubuntu 20.04 there is no support for gtk 2.0. try switching widget framework to qt5 - it will work. but before running the installer, install the libqt5pas-dev package.
if (as in my case) you need gtk widgets, install the libgtk2.0-dev package. in this case, the codetyphon program will not start, but the studio itself (typhon64) will work.


Sir CT 6.3 it's very very OLD version

We test (again) LAB CT 7.3 to LinuxMint-xfce linuxmint-20-xfce-64bit.iso
without problem for GTK2

We use this procedure with commands in terminal : 0-0-8

I want to make clear something:
We test before every CodeTyphon Release LAB or NOT
for ALL Host OSes: Windows, Linux, FreeBSD, NetBSD, OpenBSD, DragonFly, Solaris, OpenIndiana and MacOS.
On Linux we tests (before every CodeTyphon Release LAB or NOT) at least: Debian, Ubuntu, Mint, Fedora and Raspberry Pi OS,
for x86, 64_x86, arm32 and arm64

ALL the above tests with the latest OSes Versions.

Some Screens from our tests




PS: Sir @Americo Bravo Astroña
the blue icon in the desktop (like Typhon) is the CTCenter

PilotLogic Architect and Core Programmer
Attachments:
Last edit: 4 days 18 minutes ago by Sternas Stefanos.

Please Log in or Create an account to join the conversation.